/**
 * Utility functions for algorithms management.
 */

#pragma once

#include <xdc/std.h>
#include <ti/xdais/ialg.h>

#include "Common.h"

#define MAX_MEM_RECS (33)

extern IALG_Handle Algorithm_create(IALG_Fxns *fxns, IALG_Params *params, IALG_MemRec* memTabs);
extern ResultCode Algorithm_delete(IALG_Handle alg);
extern void Algorithm_synchronize(IALG_MemRec* memTabs);
