/**
 * Common definitions.
 */

#pragma once

#include "DspCommonTypes.h"

typedef enum {
    ResultCode_Ok = 0,
    ResultCode_Error = -1,
    ResultCode_ErrorNonFatal = -2
} ResultCode;

typedef enum {
    CodecType_Decoder = 0,
    CodecType_Encoder
} CodecType;

inline int Common_getDecoderAlgorithmIndex(int decoderIndex) {
    return decoderIndex + 64;
}
