/**
 * Common definitions of master and slave decode tasks.
 */

#pragma once

#include "TranscodeComponent.h"

#include <ti/xdais/dm/ividdec2.h>

typedef struct {
    TranscodeComponent transcodeComponent;

    IVIDDEC2_InArgs inArguments;
    int extraInArgumentsData[8];
    XDM1_SingleBufDesc inBufferDescriptor;
    XDAS_Int8* outBuffer_bufs[3];
    XDAS_Int32 outBuffer_bufSizes[3];
} DecoderComponent;

